No support for LastPass in latest beta FF 14 from 05/22 & perf stinks



Tech Evangelism
6 years ago
5 years ago


(Reporter: Brad Butler, Unassigned)


Firefox Tracking Flags

(Not tracked)


(Whiteboard: [addon] [js] [country-all], URL)



6 years ago
User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:12.0) Gecko/20100101 Firefox/12.0
Build ID: 20120420145725

Steps to reproduce:

Installed FF beta current as of 05/22/2012 @ 1100 hrs PDT (GMT -8), Last Pass is not avalable as addon or capable of integrating with already installed LastPass app. 

Actual results:

Unable to access tab control, unable to utilize Lastpass, Unable to set default page at startup, SUPER SLOW performance, Sync even took 3 minutes to complete. network speed verified  to Virginia & San Jose MAY's...also Mozilla all confirm 15+ Mgb out, 10Mgb down average. Droid browser works perfect compared to the build.

Expected results:

At setup, FFox Beta install should see LastPass app is preset, and allow user choice of adding feature/functionality to browser then. Browser MUST allow changing default Home or "On Startup" load page. Performance has to improve 2 orders of magnitude, Andriod default browser is EASILY 100% faster! Even if this is an Instrumented build it shouldn't be this slow


6 years ago
Component: Web Apps → General
QA Contact: web-apps → general


6 years ago
OS: Windows 7 → Android
Hardware: x86_64 → ARM
Was there a Last Pass extension for XUL Fennec (stable Firefox Mobile version) then?

What phone are you using?

Comment 2

6 years ago
Phone is HTC 4G Inspire, w/latest AT&T supported droid OS. Yes - I use Release Channel FF distro and LastPass work as expected. Also seeing issues that made me need to make Droid browser my default rather than FF RC(release channel) build.
The addon isn't compatible.  Moving to Evang.
Component: General → Evangelism
Ever confirmed: true
QA Contact: general → evangelism


6 years ago
Component: Evangelism → Mobile
Product: Firefox for Android → Tech Evangelism
Version: Firefox 14 → unspecified

Comment 4

5 years ago
According to
"Works with Firefox for Android 10.0a1 - 26.0, Firefox 2.0 and later, Mobile 0.7 and later, SeaMonkey 1.1a and later "

I'm inclined to close it as a INVALID. Feel free to reopen with more analysis with the current version of Firefox for Android.
Last Resolved: 5 years ago
Resolution: --- → INVALID
Whiteboard: [addon] [js] [country-all]
You need to log in before you can comment on or make changes to this bug.